
body, html {
  height: 100%;
  margin: 0;
  padding: 0;
}


.chart-container {
  display: flex;
  margin: 50px;
  margin-bottom: 10px;
  margin-top: 0px;
  padding: 10px;
  width: 70%;
  /* centralizar */
  margin-left: auto;
  margin-right: auto;

}

.chart {
  flex: 1;
  margin-right: 10px;
  position: relative;
}

.chart:not(:last-child)::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  margin-top: 30px;
  height: 80%; /* Ajuste a altura conforme necessário */
  width: 2px; /* Largura da linha */
  background-color: red;
}


.highlight {
  border: 2px solid #ff002a;
}


#planoCartesiano {
  width: 80%; /* Ajuste a largura conforme necessário */
  max-width: 800px; /* Defina uma largura máxima para dispositivos grandes */
  aspect-ratio: 16/9; /* Defina a proporção desejada para o retângulo (largura/altura) */
  margin: 0 auto; /* Centraliza o plano cartesiano horizontalmente */
  position: relative;
  border: 2px solid #000;
  background-color: #949494; /* Cor de fundo cinza */
  color: #fff;
}

.eixo {
  width: 100%;
  height: 2px;
  background-color: black;
  position: absolute;
  left: 0;
  top: 50%;

}

.eixo.vertical {
  width: 2px;
  height: 100%;
  top: 0;
  left: 50%;
}

.linha {
  width: 100%;
  height: 1.7px;
  background-color: orange;
  position: relative;
  top: 0;
  left: 0;
}

.linha.vertical {
  width: 1.6px;
  height: 100%;
  background-color: orange;
  position: relative;
  top: 0;
  left: 0;
}

.quadrante-label {
  position: absolute;
  font-size: 12px;
}

.regua-y {
  position: absolute;
  left: -30px;
  top: 0;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-between;
}

.regua-y span {
  position: relative;
  bottom: -5px;
}

.regua-x {
  position: absolute;
  left: 0;
  top: -30px;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.regua-x span {
  position: relative;
  top: -15px;
  text-align: center;
}

/* Estilos para os textos nas partes do plano cartesiano */
.texto-quadrante {
  position: absolute;
  font-size: 14px;
  font-weight: bold;
  pointer-events: none; /* Evita que o texto interfira com os pontos clicáveis */
}

.texto-quadrante-1 {
  top: 25%;
  left: 25%;
  transform: translate(-50%, -50%);
}

.texto-quadrante-2 {
  top: 25%;
  left: 60%;
  transform: translate(50%, -50%);
}

.texto-quadrante-3 {
  top: 65%;
  left: 50%;
  transform: translate(50%, 50%);
}

.texto-quadrante-4 {
  top: 65%;
  left: 25%;
  transform: translate(-50%, 50%);
}